import type { WebIcon, WebSpecialIcon } from './icon';
export * from './icon';
export declare type IconSet<T, R extends string> = {
    [P in R]: T;
};
export declare const createIconSet: <T>(helper: (icon: any) => T) => <R extends Record<string, any>>(iconSet: R) => IconSet<T, keyof R>;
export declare const SpecialIcons: IconSet<WebSpecialIcon, "Danger" | "Error" | "Info" | "PassedStep" | "Success" | "Warning" | "ConfirmPhoneDeprecated" | "CurrentStep" | "InfoColored" | "Certificate" | "ShieldEmblem">;
export declare const ServiceIcons: IconSet<WebIcon, "ChevronDown" | "ChevronUp" | "ChevronLeft" | "ChevronRight" | "Close" | "DoubleChevronRight" | "DoubleChevronLeft" | "DoubleChevronUp" | "DoubleChevronDown" | "Hyphen" | "ActionMenu" | "ActionMenuHorizontal" | "Tick" | "EyeOpened" | "EyeClosed" | "File" | "Filter" | "Basket" | "Calendar" | "Menu" | "Sort" | "SortReverse" | "Question" | "NewQuestion" | "Exit" | "Search" | "Phone" | "Home" | "Refresh" | "Case" | "Arrival" | "Spending" | "Tune" | "ArrowUp" | "ArrowDown" | "ArrowLeftSimple" | "ArrowRightSimple" | "ServiceProgress">;
export declare const Icons: IconSet<WebIcon, "Danger" | "Error" | "Info" | "ArrowLeft" | "ArrowRight" | "Bookmark" | "Delete" | "Cancel" | "Print" | "Export" | "NewTemplate" | "Plus" | "SaveNew" | "SendDoc" | "SignSend" | "Account" | "Deposit" | "Statements" | "List" | "Share" | "Approved" | "DocRecall" | "DocReject" | "Profile" | "Edit" | "Mobile" | "Shield" | "User" | "Wallet" | "Statement" | "PayAccount" | "PersonDocument" | "PersonAdd" | "PrintFile" | "RegDoc" | "Location" | "Download" | "KeyRound" | "CurrencyControl" | "CurrencyControlVariant" | "Answer" | "Repeat" | "RepeatHalf" | "History" | "InfoDetailed" | "Notification" | "Ok" | "NotificationInfo" | "CarLeasing" | "TreasuryProducts" | "Gavel" | "Settings" | "ExternalReference">;
export declare const MenuIcons: IconSet<WebIcon, "Home" | "Error" | "Certificate" | "Account" | "Statements" | "TreasuryProducts" | "AccountStatements" | "Agreement" | "Products" | "BankClient" | "ExchangeDocuments" | "News" | "ContactWithBank" | "CustomersUsers" | "Offer" | "Log" | "Favorites" | "BlockingMoney" | "Debts" | "Gpb" | "LkUved" | "Acquiring" | "Factoring" | "LkMaterialPooling" | "Credit" | "Leasing" | "BankingSupportContracts" | "BankGuarantees" | "ArchivalStorageDocuments" | "AccountReservation" | "OpeningFirstAccount" | "OpeningAdditionalAccount" | "AcceptanceOffer" | "Cashier" | "CertificationCenters" | "Transaction" | "Purse" | "AgreementTreasury" | "Customers" | "Users" | "Privilege" | "Network" | "Role" | "OpenedLock" | "BranchesDivisions" | "KeyIdentifiers" | "RevokedCertificate" | "Application" | "Clip" | "UserSessions" | "SuvMessages" | "Notifications" | "FeedbackRequest" | "ReferenceBooks" | "CollectionOrders" | "PaymentRequirements" | "Orders" | "Card" | "Employees" | "BrokerInformation" | "BrokerReports" | "BrokerageContracts" | "GpbITrade" | "NonTradeOrders" | "TradeOrders">;
export declare const FileIcons: IconSet<WebIcon, "Doc" | "Pdf" | "Xls">;
export declare const ProductIcons: IconSet<WebIcon, "TreasuryProducts" | "LkUved" | "Acquiring" | "Factoring" | "LkMaterialPooling" | "Leasing" | "BankingSupportContracts" | "ArchivalStorageDocuments" | "ClientBank" | "ElectronicBankGuarantees" | "OpeningAccounts" | "OpenAccount" | "OpenAdditionalAccount" | "ReserveAccount" | "CafeteriaBenefits" | "Brokerage">;
export declare const FlagsIcons: IconSet<WebSpecialIcon, "Rus" | "Usa" | "Eur" | "Chf" | "Cny" | "Gbp" | "Hkd">;
export declare const OutlineIcons: IconSet<WebSpecialIcon, "Account" | "AccountRubles" | "AccountEuro" | "CustomCard" | "ExecutorGovernanceContract" | "ParticipantAccount" | "HaveCertificate" | "AddCertificate" | "EtpAuthorityCenter" | "BankAuthorityCenter">;
export declare const PartnersIcons: IconSet<WebSpecialIcon, "ETP">;
